# Mağaza bilgilerini günceller.

## PUT /Stores

> Mağaza bilgilerini günceller.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"UpdateStoreCommand":{"type":"object","properties":{"UUID":{"type":"string","format":"uuid"},"StoreType":{"$ref":"#/components/schemas/StoreType"},"StoreAccountJson":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify"],"type":"string"}}},"paths":{"/Stores":{"put":{"tags":["Stores"],"summary":"Mağaza bilgilerini günceller.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateStoreCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStoreCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateStoreCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateStoreCommand"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

{% hint style="info" %}
`StoreAccountJson` değeri mağaza entegrasyon bilgilerini içermelidir. Mağaza entegrasyon bilgilerini nasıl oluşturacağınıza dair kılavuza [buradan](/api/magaza-api.md) erişebilirsiniz.

`StoreAccountJson` değeri `StoreType` değerine uygun tanımlanmalıdır.&#x20;

{% tabs fullWidth="false" %}
{% tab title="Trendyol" %}
{% code title="StoreAccountJson" %}

```json
{
  "SupplierID" :"Trendyol Satıcı ID",
  "Key":"Trendyol API Key",
  "Secret":"Trendyol API Secret"
}
```

{% endcode %}
{% endtab %}

{% tab title="Hepsiburada" %}
{% code title="StoreAccountJson" %}

```json
{
  "MerchantID":"Hepsiburada Mağaza ID",
  "Key":"Hepsiburada Servis Anahtarı",
  "ApiAccount":"nilverasoft_dev"
}
```

{% endcode %}
{% endtab %}

{% tab title="n11" %}
{% code title="StoreAccountJson" %}

```json
{
  "Appkey":"n11 API Anahtar",
  "Appsecret":"n11 API Şifre"
}
```

{% endcode %}
{% endtab %}

{% tab title="Pazarama" %}
{% code title="StoreAccountJson" %}

```json
{
  "ClientId":"Pazarama API Key",
  "ClientSecret":"Pazarama API Secret"
}
```

{% endcode %}
{% endtab %}

{% tab title="Idefix" %}
{% code title="StoreAccountJson" %}

```json
{
  "ApiKey":"Idefix API KEY",
  "SecretKey":"Idefix API SECRET KEY",
  "VendorID":"Idefix Satıcı ID"
}
```

{% endcode %}
{% endtab %}

{% tab title="PttAvm" %}
{% code title="StoreAccountJson" %}

```json
{
  "UserName":"PttAvm API Kullanıcı Adı",
  "Password":"PttAvm API Şifre",
}
```

{% endcode %}
{% endtab %}

{% tab title="Ikas" %}
{% code title="StoreAccountJson" %}

```json
{
  "Subdomain":"Ikas Mağaza adresi subdomain adı",
  "ClientID":"Ikas client_id",
  "ClientSecret
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endhint %}

Oluşturulan mağazanın `ConnectionStatus` değeri `Checking` ise doğrulama süreci devam etmektedir. Bu aşamada bağlantının tamamlanması için durumun `Success` veya `Failed` olarak güncellenmesi beklenmelidir.

* `Checking:` Entegrasyon doğrulama süreci devam etmektedir.
* `Success`: Mağaza doğrulama işlemi başarıyla tamamlanmıştır.
* `Failed`: Mağaza doğrulama işlemi tamamlanmış ancak başarısız olmuştur. Bu durumda mağaza erişim bilgilerini kontrol ederek güncellemeniz gereklidir.

## The StoreType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify"],"type":"string"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.nilvera.com/api/magaza-api/magaza-islemleri/magaza-bilgilerini-gunceller..md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
